#include "ConfigDataset.hpp"

ConfigDataset::ConfigDataset(std::vector<torch::Tensor> contexts, std::vector<torch::Tensor> classes) : contexts(contexts), classes(classes)
{
}

torch::optional<size_t> ConfigDataset::size() const
{
  return contexts.size();
}

torch::data::Example<> ConfigDataset::get(size_t index)
{
  return {contexts[index], classes[index]};
}

